/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenemessagetemplatesdescPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CODE")
    private short code;
    @Basic(optional = false)
    @Column(name = "LANGUAGECODE")
    private String languagecode;

    public TgenemessagetemplatesdescPK() {
    }

    public TgenemessagetemplatesdescPK(short code, String languagecode) {
        this.code = code;
        this.languagecode = languagecode;
    }

    public short getCode() {
        return code;
    }

    public void setCode(short code) {
        this.code = code;
    }

    public String getLanguagecode() {
        return languagecode;
    }

    public void setLanguagecode(String languagecode) {
        this.languagecode = languagecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) code;
        hash += (languagecode != null ? languagecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenemessagetemplatesdescPK)) {
            return false;
        }
        TgenemessagetemplatesdescPK other = (TgenemessagetemplatesdescPK) object;
        if (this.code != other.code) {
            return false;
        }
        if ((this.languagecode == null && other.languagecode != null) || (this.languagecode != null && !this.languagecode.equals(other.languagecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenemessagetemplatesdescPK[ code=" + code + ", languagecode=" + languagecode + " ]";
    }
    
}
